package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.BasicMessage;
import com.qmth.distributed.print.business.enums.MessageEnum;

/**
 * @Description: 短信消息发送
 * @Author: CaoZixuan
 * @Date: 2021-04-28
 */
public interface BasicMessageService extends IService<BasicMessage> {

    /**
     * 保存消息发送日志（以下参数必传）
     * @param userId 接收人id
     * @param mobileNumber 接收人电话
     * @param businessId 业务id
     * @param variableParams 变量参数
     * @param createId 发送人id
     * @param messageType 消息类型
     */
    void saveMessageSendLog(Long userId, String mobileNumber, Long businessId, String variableParams, Long createId, MessageEnum messageType);
}
