package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.distributed.print.business.bean.dto.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * @Date: 2021/4/20.
 */
public interface ClientService {
    IPage<ClientExamTaskDto> listTryTask(String machineCode, Long orgId, Long printPlanId, String courseCode, String paperNumber, Boolean isTry, Boolean isPass, Integer pageNumber, Integer pageSize);

    Map<String, String> getUrl(Long examTaskId);

    Boolean tagPass(String courseCode, String courseName, String paperNumber, String machineCode, Boolean isPass, Long userId);

    Boolean updatePrintProgress(Long examDetailId, String machineCode, Integer printProgress);

    IPage<ClientExamStudentDto> listStudent(Long examDetailId, String ticketNumber, String studentName, String courseCode, Integer pageNumber, Integer pageSize);

    Map<String, Object> getReprintData(Long examDetailId, String ticketNumber, String type);

    IPage<ClientPrintTaskDto> listClientPrintTask(Long machineCode, String orgId, String printPlanId, String status, String courseCode, String paperNumber, String examPlace, String examRoom, Long examStartTime, Long examEndTime, Boolean isDownload, Boolean validate, Integer pageNumber, Integer pageSize);

    Map<String, Object> getPrintData(Long examDetailId, String machineCode, Boolean isPrint, String printUser);

    List<Map<String, Object>> getPrintDataBatch(Long machineCode, String orgId, String printPlanId, String status, String courseCode, String paperNumber, String examPlace, String examRoom, Long examStartTime, Long examEndTime, Boolean isDownload, Boolean validate);

    Map<String, String> getUrlByExamDetailId(Long examDetailId);

    Boolean updateDownload(Long examDetailId, String machineCode, Boolean isDownload);

    Boolean validateData(Long examDetailId, String packageCode, String lastCode);

    List<Map<String, String>> getBatchUrl(String machineCode, Long orgId, Long printPlanId, String courseCode, String paperNumber, Boolean isTry, Boolean isPass);

    void exportClientPrintTask(HttpServletResponse response, Long machineCode, String orgId, String printPlanId, String status, String courseCode, String paperNumber, String examPlace, String examRoom, Long examStartTime, Long examEndTime, Boolean isDownload, Boolean validate) throws Exception;

    ClientPrintTaskTotalDto taskTotalData(String printPlanId, String status, String courseCode, String paperNumber, String examPlace, String examRoom, Long examStartTime, Long examEndTime, Boolean isDownload, Boolean validate, Long machineCode);

    IPage<ClientPrintStatisticsDto> listClientPrintStatistics(String orgId, String printPlanId, String examPlace, Long examStartTime, Long examEndTime, String courseCode, String paperNumber, Integer pageNumber, Integer pageSize);

    ClientPrintStatisticsTotalDto clientStatisticsTotalData(String orgId, String printPlanId, String examPlace, Long examStartTime, Long examEndTime, String courseCode, String paperNumber);
}
