/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.10.36
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.10.36:3306
 Source Schema         : distributed-print

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 13/04/2021 15:02:35
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for basic_attachment
-- ----------------------------
DROP TABLE IF EXISTS `basic_attachment`;
CREATE TABLE `basic_attachment`  (
  `id` bigint(20) NOT NULL,
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '文件名',
  `type` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '文件类型',
  `size` int(11) NOT NULL COMMENT '单位（KB）',
  `md5` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '文件md5值',
  `path` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '存储路径',
  `create_id` bigint(20) NULL DEFAULT NULL COMMENT '创建人',
  `create_time` bigint(20) NULL DEFAULT NULL COMMENT '创建时间',
  `obj_id` bigint(20) NULL DEFAULT NULL COMMENT '关联业务id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '所有附件记录表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for basic_card_rule
-- ----------------------------
DROP TABLE IF EXISTS `basic_card_rule`;
CREATE TABLE `basic_card_rule`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NOT NULL,
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '题卡规则名称',
  `exam_number_style` varchar(5) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'PRINT-印刷条码，PASTE-粘贴条码，FILL-卡号填涂',
  `paper_type` varchar(5) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'PRINT-印刷条码，FILL-卡号填涂',
  `exam_absent` tinyint(4) NOT NULL COMMENT '0-禁用，1-启用',
  `write_sign` tinyint(4) NOT NULL COMMENT '0-禁用，1-启用',
  `required_fields` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '必选字段',
  `extend_fields` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '扩展字段',
  `title_rule` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '题卡标题规则',
  `attention` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '注意事项',
  `objective_attention` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '客观题注意事项',
  `subjective_attention` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主观题注意事项',
  `enable` tinyint(4) NOT NULL COMMENT '0-禁用，1-启用',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '题卡规则' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for basic_course
-- ----------------------------
DROP TABLE IF EXISTS `basic_course`;
CREATE TABLE `basic_course`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NOT NULL COMMENT '学校ID',
  `code` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '课程编码',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '课程名称',
  `create_id` bigint(20) NULL DEFAULT NULL COMMENT '创建人',
  `create_time` bigint(20) NULL DEFAULT NULL COMMENT '创建时间',
  `update_id` bigint(20) NULL DEFAULT NULL COMMENT '修改人',
  `update_time` bigint(20) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `course_schoolId_code_idx`(`school_id`, `code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '课程表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for basic_exam_rule
-- ----------------------------
DROP TABLE IF EXISTS `basic_exam_rule`;
CREATE TABLE `basic_exam_rule`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NOT NULL,
  `required_fields` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '必选字段',
  `extend_fields` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '扩展字段',
  `review` tinyint(4) NOT NULL COMMENT '0-禁用，1-启用',
  `include_paper` tinyint(4) NOT NULL COMMENT '0-禁用，1-启用',
  `custom_card` tinyint(4) NOT NULL COMMENT '0-禁用，1-启用',
  `print_method` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'AUTO-自动，MANUAL-手动',
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '考务规则' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for basic_school
-- ----------------------------
DROP TABLE IF EXISTS `basic_school`;
CREATE TABLE `basic_school`  (
  `id` bigint(20) NOT NULL,
  `code` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `enable` tinyint(4) NOT NULL DEFAULT 1 COMMENT '是否启用，false：停用，true：启用',
  `access_key` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `access_secret` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remark` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  `logo` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '学校logo',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `school_code_idx`(`code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '学校表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for basic_template
-- ----------------------------
DROP TABLE IF EXISTS `basic_template`;
CREATE TABLE `basic_template`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NOT NULL,
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '模板名称',
  `type` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '模板类型：GENERIC-通卡模板，VARIABLE-变量印品模板，ORDINARY-普通印品模板',
  `classify` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'template_type值为VARIABLE、ORDINARY时，不为空。\n  SIGN-签到表，PACKAGE-卷袋贴，CHECK_IN-登记表',
  `attachment_id` bigint(20) NOT NULL COMMENT '模板附件ID（保存到附件表ID）',
  `enable` tinyint(4) NOT NULL COMMENT '0-禁用，1-启用',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '通用模板' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for basic_template_org
-- ----------------------------
DROP TABLE IF EXISTS `basic_template_org`;
CREATE TABLE `basic_template_org`  (
  `id` bigint(20) NOT NULL,
  `type` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '模板类型：GENERIC-通卡模板，VARIABLE-变量印品模板，ORDINARY-普通印品模板，CARD_RULE-题卡规则',
  `rule_id` bigint(20) NOT NULL COMMENT '通卡模板ID',
  `org_id` bigint(20) NOT NULL COMMENT '组织机构ID',
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '适用学院（题卡规则、模板适用学院）' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for basic_user_course
-- ----------------------------
DROP TABLE IF EXISTS `basic_user_course`;
CREATE TABLE `basic_user_course`  (
  `id` bigint(20) NOT NULL,
  `user_id` bigint(20) NULL DEFAULT NULL COMMENT '用户ID',
  `course_id` bigint(20) NULL DEFAULT NULL COMMENT '课程ID',
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户和课程关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for basic_verify_code
-- ----------------------------
DROP TABLE IF EXISTS `basic_verify_code`;
CREATE TABLE `basic_verify_code`  (
  `id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `mobile_number` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '手机号',
  `expire_time` bigint(20) NOT NULL COMMENT '到期时间',
  `valid_period` int(11) NOT NULL COMMENT '单位（分）',
  `verify_code` varchar(4) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '4位数字',
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '短信验证码记录表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for client_print_data
-- ----------------------------
DROP TABLE IF EXISTS `client_print_data`;
CREATE TABLE `client_print_data`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NULL DEFAULT NULL,
  `exam_detail_id` bigint(20) NULL DEFAULT NULL COMMENT '考场ID',
  `machine_code` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '机器唯一码',
  `pages_a4` int(11) NULL DEFAULT NULL,
  `pages_a3` int(11) NULL DEFAULT NULL,
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '各机器打印数量' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for client_status
-- ----------------------------
DROP TABLE IF EXISTS `client_status`;
CREATE TABLE `client_status`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `school_id` bigint(20) NULL DEFAULT NULL,
  `machine_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '机器唯一码',
  `exam_task_id` bigint(20) NULL COMMENT '命题任务ID',
  `course_code` varchar(100) NOT NULL COMMENT '课程代码',
  `course_name` varchar(200) NOT NULL COMMENT '课程名称',
  `paper_number` varchar(50) NOT NULL COMMENT '试卷编号',
  `is_try` tinyint(1) NULL DEFAULT NULL COMMENT '是否打样：true-是，false-否',
  `try_time` bigint(20) NULL DEFAULT NULL COMMENT '打样时间',
  `is_pass` tinyint(1) NULL DEFAULT NULL COMMENT '是否合格：true-合格，false-不合格',
  `is_download` tinyint(1) NULL DEFAULT NULL COMMENT '是否缓存：true-是，false-否',
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '机器打样记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for exam_card
-- ----------------------------
DROP TABLE IF EXISTS `exam_card`;
CREATE TABLE `exam_card`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NOT NULL,
  `course_code` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '课程编码',
  `course_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '课程名称',
  `title` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '标题',
  `make_method` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '题卡制作方式：SELECT-选择已有题卡，SELF-自助创建，CUST-客户制卡',
  `status` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'STAGE-暂存，SUBMIT-提交',
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL COMMENT '创建时间',
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  `type` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '题卡类型：GENERIC-通卡，CUSTOM-自定义',
  `template_id` bigint(20) NULL DEFAULT NULL COMMENT 'type=GENERIC时必传',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '题卡' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for exam_card_detail
-- ----------------------------
DROP TABLE IF EXISTS `exam_card_detail`;
CREATE TABLE `exam_card_detail`  (
  `id` bigint(20) NOT NULL,
  `card_id` bigint(20) NOT NULL COMMENT '题卡ID',
  `content` MEDIUMTEXT  NULL COMMENT '题卡工具制作题卡内容',
  `html_content` MEDIUMTEXT  NULL COMMENT 'html格式内容',
  `attachment_id` MEDIUMTEXT  NULL COMMENT '备用题卡json',
  `cust_attachment_id` bigint(20)  NULL COMMENT '客服制卡上传附件ID',
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '题卡详情' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for exam_detail
-- ----------------------------
DROP TABLE IF EXISTS `exam_detail`;
CREATE TABLE `exam_detail`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NOT NULL,
  `print_plan_id` bigint(20) NOT NULL COMMENT '印刷计划ID',
  `print_plan_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `exam_start_time` bigint(20) NOT NULL COMMENT '考试日期',
  `exam_end_time` bigint(20) NOT NULL,
  `exam_place` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `total_subjects` int(11) NULL DEFAULT NULL COMMENT '总科次：考场总科次',
  `exam_room` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `print_progress` double NULL DEFAULT NULL,
  `print_user` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '打印员：一个考场只能被一个打印员认领',
  `package_code` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '考场代码：卷袋贴、签到表上条码',
  `pages_a3` int(2) NULL DEFAULT NULL COMMENT 'A3印量小计（页）',
  `pages_a4` int(2) NULL DEFAULT NULL COMMENT 'A4印量小计（页）',
  `status` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态：NEW: \"新建\",READY: \"就绪\",WAITING: \"待印刷\",PRINTING: \"印刷中\",FINISH: \"已完成\"',
  `validate` tinyint(1) NULL DEFAULT 0 COMMENT '是否校验：true-是，false-否',
  `print_start_time` bigint(20) NULL DEFAULT NULL COMMENT '打印开始时间',
  `print_end_time` bigint(20) NULL DEFAULT NULL COMMENT '打印完成时间',
  `attachment_id` bigint(20) NULL DEFAULT NULL COMMENT '附件id',
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  `attachment_path` mediumtext COMMENT '印品附件路径',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '考务数据' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for exam_detail_course
-- ----------------------------
DROP TABLE IF EXISTS `exam_detail_course`;
CREATE TABLE `exam_detail_course`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NOT NULL,
  `exam_detail_id` bigint(20) NOT NULL,
  `course_code` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `course_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `paper_number` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `total_subjects` int(11) NULL DEFAULT NULL COMMENT '总科次：考场总科次',
  `paper_pages_a3` int(2) NULL DEFAULT NULL COMMENT '试卷单科次准印量A3（页）',
  `card_pages_a3` int(2) NULL DEFAULT NULL COMMENT '题卡单科次准印量A3（页）',
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  `paper_type` varchar(30) DEFAULT NULL COMMENT '当前试卷类型',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '考务数据（考场关联科目）' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for exam_print_plan
-- ----------------------------
DROP TABLE IF EXISTS `exam_print_plan`;
CREATE TABLE `exam_print_plan`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NOT NULL,
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '印刷计划名称',
  `exam_start_time` bigint(20) NOT NULL COMMENT '考试开始时间',
  `exam_end_time` bigint(20) NOT NULL COMMENT '考试结束时间',
  `print_content` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '{“PAPER”, \"CARD\"}',
  `backup_method` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'PLACE-按考点，ROOM-按考场',
  `backup_count` int(11) NOT NULL,
  `draw_rule` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'ONE-只抽一次，CIRCLE-可循环抽取',
  `variable_content` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '[\n  	{\n  		\"type\": \"SIGN\",\n  		\"usedId\": 1,\n  		\"backupMethod\": \"ROOM\",\n  		\"backupCount\": 3\n  	},\n  	{\n  		\"type\": \"PACKAG\",\n  		\"usedId\": 3,\n  		\"backupMethod\": \"STUDENT\",\n  		\"backupCount\": 5\n  	}\n  ]',
  `ordinary_content` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '[\n  	{\n  		\"type\": \"CHECK_IN\",\n  		\"usedId\": 1,\n  		\"backupMethod\": \"ROOM\",\n  		\"backupCount\": 3\n  	}\n  ]',
  `status` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '印刷计划管理' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for exam_student
-- ----------------------------
DROP TABLE IF EXISTS `exam_student`;
CREATE TABLE `exam_student`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NOT NULL,
  `exam_detail_course_id` bigint(20) NOT NULL,
  `student_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `student_code` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `ticket_number` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `site_number` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `print_paper` tinyint(4) NULL DEFAULT NULL,
  `print_card` tinyint(4) NULL DEFAULT NULL,
  `extend_fields` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `paper_type` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  `attachment_id` bigint(20) NULL DEFAULT NULL COMMENT '附件id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '考生' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for exam_task
-- ----------------------------
DROP TABLE IF EXISTS `exam_task`;
CREATE TABLE `exam_task`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NOT NULL,
  `course_code` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '课程代码',
  `course_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '课程名称',
  `specialty` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '适用专业',
  `paper_number` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '试卷编号',
  `start_time` bigint(20) NOT NULL COMMENT '命题开始时间',
  `end_time` bigint(20) NOT NULL COMMENT '命题结束时间',
  `card_rule_id` bigint(20) NOT NULL COMMENT '题卡规则',
  `user_id` bigint(20) NULL DEFAULT NULL COMMENT '命题老师',
  `status` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务状态，NEW(\"新建\")，READY(\"待命题\")，STAGE(\"进行中\")，SUBMIT(\"待审核\")，FINISH(\"已完成\")，CANCEL(\"撤回\")',
  `review` tinyint(4) NULL DEFAULT NULL COMMENT '0-禁用，1-启用',
  `review_status` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核状态：PASS-审核通过，NOT_PASS-审核不通过，默认为空-未审核',
  `enable` tinyint(4) NULL DEFAULT 1 COMMENT '是否启用，false：停用，true：启用',
  `batch_no` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_id` bigint(20) NULL DEFAULT NULL COMMENT '创建人',
  `create_time` bigint(20) NULL DEFAULT NULL COMMENT '创建时间',
  `update_id` bigint(20) NULL DEFAULT NULL COMMENT '修改人',
  `update_time` bigint(20) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '命题任务' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for exam_task_detail
-- ----------------------------
DROP TABLE IF EXISTS `exam_task_detail`;
CREATE TABLE `exam_task_detail`  (
  `id` bigint(20) NOT NULL,
  `exam_task_id` bigint(20) NOT NULL COMMENT '命题任务ID',
  `paper_type` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试卷类型，多个以”/“分隔，如A/B/C/D',
  `paper_attachment_ids` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '[\n  	{\n  		\"type\": \"A\",\n  		\"attachmentId\": 12,\n  		\"totalPages\": 3\n  	},\n  	{\n  		\"type\": \"B\",\n  		\"attachmentId\": 13,\n  		\"totalPages\": 2\n  	}\n  ]',
  `card_id` bigint(20) NULL DEFAULT NULL COMMENT '题卡ID',
  `paper_confirm_attachment_ids` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '[\n  	{\n  		\"attachmentId\": 12\n  	},\n  	{\n  		\"attachmentId\": 13\n  	}\n  ]',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `exposed_paper_type` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '曝光卷型：已打印卷型，多个以”/“分隔，如A/B/C/D',
  `relate_paper_type` varchar(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `unexposed_paper_type` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  `enable` tinyint(4) NULL DEFAULT 1 COMMENT '0-禁用，1-启用',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '命题任务明细表（入库申请）' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for exam_task_paper_log
-- ----------------------------
DROP TABLE IF EXISTS `exam_task_paper_log`;
CREATE TABLE `exam_task_paper_log`  (
  `id` bigint(20) NOT NULL,
  `exam_task_id` bigint(20) NOT NULL COMMENT '命题任务ID',
  `paper_type` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `paper_attachment_ids` mediumtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '修改后试卷',
  `card_id` bigint(20) NULL DEFAULT NULL COMMENT '修改后题卡ID',
  `review` tinyint(1) NULL DEFAULT NULL COMMENT '是否审核：true-审核，false-未审核',
  `review_status` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核状态：PASS-通过，NOT_PASS-不通过',
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '卷库修改审核临时表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for exam_task_review_log
-- ----------------------------
DROP TABLE IF EXISTS `exam_task_review_log`;
CREATE TABLE `exam_task_review_log`  (
  `id` bigint(20) NOT NULL,
  `exam_task_id` bigint(20) NOT NULL COMMENT '命题任务ID',
  `review_status` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'PASS-通过，NOT_PASS-不通过',
  `reason` MEDIUMTEXT CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核意见',
  `operate_id` bigint(20) NULL DEFAULT NULL,
  `operate_time` bigint(20) NULL DEFAULT NULL,
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '命题任务审核日志表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for exam_task_temp
-- ----------------------------
DROP TABLE IF EXISTS `exam_task_temp`;
CREATE TABLE `exam_task_temp`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NOT NULL,
  `batch_no` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '本次导入数据临时ID',
  `course_code` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '课程代码',
  `course_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '课程名称',
  `paper_number` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '试卷编号',
  `specialty` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '适用专业',
  `user_account` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '命题老师账号',
  `user_name` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '命题老师姓名',
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '命题任务临时表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TRIGGER_NAME` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TRIGGER_GROUP` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `BLOB_DATA` blob NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  INDEX `SCHED_NAME`(`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `CALENDAR_NAME` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `CALENDAR` blob NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `CALENDAR_NAME`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TRIGGER_NAME` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TRIGGER_GROUP` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `CRON_EXPRESSION` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TIME_ZONE_ID` varchar(80) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `ENTRY_ID` varchar(95) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TRIGGER_NAME` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TRIGGER_GROUP` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `INSTANCE_NAME` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `FIRED_TIME` bigint(20) NOT NULL,
  `SCHED_TIME` bigint(20) NOT NULL,
  `PRIORITY` int(11) NOT NULL,
  `STATE` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `JOB_NAME` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `JOB_GROUP` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `IS_NONCONCURRENT` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `REQUESTS_RECOVERY` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`, `ENTRY_ID`) USING BTREE,
  INDEX `IDX_QRTZ_FT_TRIG_INST_NAME`(`SCHED_NAME`, `INSTANCE_NAME`) USING BTREE,
  INDEX `IDX_QRTZ_FT_INST_JOB_REQ_RCVRY`(`SCHED_NAME`, `INSTANCE_NAME`, `REQUESTS_RECOVERY`) USING BTREE,
  INDEX `IDX_QRTZ_FT_J_G`(`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) USING BTREE,
  INDEX `IDX_QRTZ_FT_JG`(`SCHED_NAME`, `JOB_GROUP`) USING BTREE,
  INDEX `IDX_QRTZ_FT_T_G`(`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  INDEX `IDX_QRTZ_FT_TG`(`SCHED_NAME`, `TRIGGER_GROUP`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `JOB_NAME` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `JOB_GROUP` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `DESCRIPTION` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `JOB_CLASS_NAME` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `IS_DURABLE` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `IS_NONCONCURRENT` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `IS_UPDATE_DATA` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `REQUESTS_RECOVERY` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `JOB_DATA` blob NULL,
  PRIMARY KEY (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) USING BTREE,
  INDEX `IDX_QRTZ_J_REQ_RECOVERY`(`SCHED_NAME`, `REQUESTS_RECOVERY`) USING BTREE,
  INDEX `IDX_QRTZ_J_GRP`(`SCHED_NAME`, `JOB_GROUP`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `LOCK_NAME` varchar(40) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `LOCK_NAME`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TRIGGER_GROUP` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_GROUP`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `INSTANCE_NAME` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `LAST_CHECKIN_TIME` bigint(20) NOT NULL,
  `CHECKIN_INTERVAL` bigint(20) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `INSTANCE_NAME`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TRIGGER_NAME` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TRIGGER_GROUP` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `REPEAT_COUNT` bigint(20) NOT NULL,
  `REPEAT_INTERVAL` bigint(20) NOT NULL,
  `TIMES_TRIGGERED` bigint(20) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TRIGGER_NAME` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TRIGGER_GROUP` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `STR_PROP_1` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `STR_PROP_2` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `STR_PROP_3` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `INT_PROP_1` int(11) NULL DEFAULT NULL,
  `INT_PROP_2` int(11) NULL DEFAULT NULL,
  `LONG_PROP_1` bigint(20) NULL DEFAULT NULL,
  `LONG_PROP_2` bigint(20) NULL DEFAULT NULL,
  `DEC_PROP_1` decimal(13, 4) NULL DEFAULT NULL,
  `DEC_PROP_2` decimal(13, 4) NULL DEFAULT NULL,
  `BOOL_PROP_1` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `BOOL_PROP_2` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TRIGGER_NAME` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TRIGGER_GROUP` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `JOB_NAME` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `JOB_GROUP` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `DESCRIPTION` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `NEXT_FIRE_TIME` bigint(20) NULL DEFAULT NULL,
  `PREV_FIRE_TIME` bigint(20) NULL DEFAULT NULL,
  `PRIORITY` int(11) NULL DEFAULT NULL,
  `TRIGGER_STATE` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `TRIGGER_TYPE` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `START_TIME` bigint(20) NOT NULL,
  `END_TIME` bigint(20) NULL DEFAULT NULL,
  `CALENDAR_NAME` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `MISFIRE_INSTR` smallint(6) NULL DEFAULT NULL,
  `JOB_DATA` blob NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  INDEX `IDX_QRTZ_T_J`(`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) USING BTREE,
  INDEX `IDX_QRTZ_T_JG`(`SCHED_NAME`, `JOB_GROUP`) USING BTREE,
  INDEX `IDX_QRTZ_T_C`(`SCHED_NAME`, `CALENDAR_NAME`) USING BTREE,
  INDEX `IDX_QRTZ_T_G`(`SCHED_NAME`, `TRIGGER_GROUP`) USING BTREE,
  INDEX `IDX_QRTZ_T_STATE`(`SCHED_NAME`, `TRIGGER_STATE`) USING BTREE,
  INDEX `IDX_QRTZ_T_N_STATE`(`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`, `TRIGGER_STATE`) USING BTREE,
  INDEX `IDX_QRTZ_T_N_G_STATE`(`SCHED_NAME`, `TRIGGER_GROUP`, `TRIGGER_STATE`) USING BTREE,
  INDEX `IDX_QRTZ_T_NEXT_FIRE_TIME`(`SCHED_NAME`, `NEXT_FIRE_TIME`) USING BTREE,
  INDEX `IDX_QRTZ_T_NFT_ST`(`SCHED_NAME`, `TRIGGER_STATE`, `NEXT_FIRE_TIME`) USING BTREE,
  INDEX `IDX_QRTZ_T_NFT_MISFIRE`(`SCHED_NAME`, `MISFIRE_INSTR`, `NEXT_FIRE_TIME`) USING BTREE,
  INDEX `IDX_QRTZ_T_NFT_ST_MISFIRE`(`SCHED_NAME`, `MISFIRE_INSTR`, `NEXT_FIRE_TIME`, `TRIGGER_STATE`) USING BTREE,
  INDEX `IDX_QRTZ_T_NFT_ST_MISFIRE_GRP`(`SCHED_NAME`, `MISFIRE_INSTR`, `NEXT_FIRE_TIME`, `TRIGGER_GROUP`, `TRIGGER_STATE`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `id` bigint(20) NOT NULL,
  `config_key` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '参数键名',
  `config_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '参数名称',
  `config_value` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '参数键值',
  `remark` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '参数表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, 'sys.user.initPassword', '初始密码', '123456', NULL, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (2, 'sys.warning.days', '预警天数', '3', NULL, 1, NULL, NULL, NULL);
INSERT INTO `sys_config` VALUES (3, 'sys.code.enable', '是否启用短信验证码', 'true', 'true-启用，false-禁用', 1, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for sys_org
-- ----------------------------
DROP TABLE IF EXISTS `sys_org`;
CREATE TABLE `sys_org`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NOT NULL COMMENT '学校ID',
  `code` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '机构代码',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '机构名称',
  `parent_id` bigint(20) NULL DEFAULT NULL COMMENT '上级机构ID',
  `enable` tinyint(4) NOT NULL DEFAULT 1 COMMENT '是否启用，false：停用，true：启用',
  `create_id` bigint(20) NULL DEFAULT NULL COMMENT '创建人',
  `create_time` bigint(20) NULL DEFAULT NULL COMMENT '创建时间',
  `update_id` bigint(20) NULL DEFAULT NULL COMMENT '修改人',
  `update_time` bigint(20) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `org_schoolId_code_idx`(`school_id`, `code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '学校组织架构' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_org
-- ----------------------------
INSERT INTO `sys_org` VALUES (1, 1, 'O00001', '学院1', NULL, 1, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for sys_privilege
-- ----------------------------
DROP TABLE IF EXISTS `sys_privilege`;
CREATE TABLE `sys_privilege`  (
  `id` bigint(20) NOT NULL,
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '菜单名称',
  `url` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'URL地址',
  `type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '类型，MENU：菜单，BUTTON：按钮，LINK：链接，URL：接口地址，LIST：列表，CONDITION：查询条件',
  `parent_id` bigint(20) NULL DEFAULT NULL COMMENT '上级菜单',
  `sequence` int(11) NOT NULL COMMENT '序号',
  `property` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '属性，NO_AUTH：无需鉴权，AUTH：鉴权，SYS：系统公用',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_time` bigint(20) NULL DEFAULT NULL,
  `enable` tinyint(4) NOT NULL DEFAULT 1 COMMENT '是否启用，false：停用，true：启用',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '菜单权限表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_privilege
-- ----------------------------
INSERT INTO `sys_privilege` VALUES (1, '基础配置', 'base', 'MENU', NULL, 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (2, '用户管理', 'user', 'MENU', 1, 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (3, '配置管理', 'rule', 'MENU', 1, 2, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (4, '组织架构', 'OrganizationManage', 'MENU', 2, 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (5, '用户管理', 'UserManage', 'MENU', 2, 2, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (6, '角色管理', 'RoleManage', 'MENU', 2, 3, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (7, '权限管理', 'MenuManage', 'MENU', 129, 6, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (8, '通用规则', 'CommonRule', 'MENU', 3, 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (9, '题卡规则管理', 'CardRuleManage', 'MENU', 3, 2, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (10, '通卡模板', 'CommonCardTemplate', 'MENU', 3, 3, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (11, '变量印品模板', 'ParamPrintTemplate', 'MENU', 3, 4, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (12, '普通印品模板', 'CommonPrintTemplate', 'MENU', 3, 5, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (13, '课程管理', 'CourseManage', 'MENU', 3, 6, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (14, '考试中心', 'exam', 'MENU', NULL, 2, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (15, '我的工作台', 'work', 'MENU', 14, 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (16, '待办任务', 'WaitTask', 'MENU', 15, 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (37, '命题管理', 'paper', 'MENU', 14, 2, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (38, '印刷管理', 'print', 'MENU', 14, 3, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (39, '命题任务管理', 'ExamTaskManage', 'MENU', 37, 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (40, '入库申请', 'TaskApplyManage', 'MENU', 37, 2, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (41, '入库审核', 'TaskReviewManage', 'MENU', 37, 3, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (42, '卷库查询', 'TaskPaperManage', 'MENU', 37, 4, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (43, '印刷计划管理', 'PrintPlanManage', 'MENU', 38, 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (44, '考务数据导入', 'BusinessDataExport', 'MENU', 38, 2, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (45, '考务明细查询', 'BusinessDataDetail', 'MENU', 38, 3, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (46, '关联试卷管理', 'PlanLinkPaper', 'MENU', 38, 4, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (47, '印刷任务管理', 'PrintTaskManage', 'MENU', 38, 5, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (48, '印刷计划管理-查询', '/api/admin/exam/print/list', 'URL', 43, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (49, '印刷计划管理-按类型查询模板', '/api/admin/exam/print/get_template', 'URL', 43, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (50, '印刷计划管理-新增/修改', '/api/admin/exam/print/save', 'URL', 43, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (51, '印刷计划管理-删除', '/api/admin/exam/print/remove', 'URL', 43, 4, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (52, '考务数据导入-查询', '/api/admin/exam/print/data_list', 'URL', 44, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (53, '考务数据导入-汇总数据查询', '/api/admin/exam/print/data_total', 'URL', 44, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (54, '考务数据导入-导入', '/api/admin/exam/print/data_import', 'URL', 44, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (55, '考务数据导入-查看明细', '/api/admin/exam/print/data_detail_list', 'URL', 44, 4, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (56, '关联试卷管理-查询', '/api/admin/exam/print/relate_list', 'URL', 46, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (57, '关联试卷管理-关联/更换试卷', '/api/admin/exam/print/relate_update', 'URL', 46, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (58, '关联试卷管理-查询所有试卷编号/关联卷型', '/api/admin/exam/print/relate_get_paper_numbers', 'URL', 46, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (59, '印刷任务管理-查询', '/api/admin/exam/print/task_list', 'URL', 47, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (60, '印刷任务管理-提交印刷', '/api/admin/exam/print/task_submit', 'URL', 47, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (61, '印刷任务管理-撤回提交', '/api/admin/exam/print/task_cancel', 'URL', 47, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (62, '印刷任务管理-汇总数据查询', '/api/admin/exam/print/task_total_data', 'URL', 47, 4, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (63, '命题任务管理-查询', '/api/admin/exam/task/list', 'URL', 39, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (64, '命题任务管理-更改/指派命题老师', '/api/admin/exam/task/assign_user', 'URL', 39, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (65, '命题任务管理-启用/禁用', '/api/admin/exam/task/enable', 'URL', 39, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (66, '命题任务管理-新建', '/api/admin/exam/task/save', 'URL', 39, 4, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (67, '命题任务管理-批量新建-文件导入', '/api/admin/exam/task/import', 'URL', 39, 5, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (68, '命题任务管理-批量新建', '/api/admin/exam/task/save_batch', 'URL', 39, 6, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (69, '命题任务管理-审核历史', '/api/admin/exam/task/review_list', 'URL', 39, 7, 'SYS', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (70, '入库申请-查询', '/api/admin/exam/task/apply_list', 'URL', 40, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (71, '入库申请-提交/暂存', '/api/admin/exam/task/apply_save', 'URL', 40, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (72, '入库申请-撤回/重新申请', '/api/admin/exam/task/apply_status', 'URL', 40, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (73, '入库审核-查询未审核', '/api/admin/exam/task/review_list_unaudited', 'URL', 41, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (74, '入库审核-审核', '/api/admin/exam/task/review_save', 'URL', 41, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (75, '入库审核-批量审核', '/api/admin/exam/task/review_save_batch', 'URL', 41, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (76, '卷库查询-查询', '/api/admin/exam/task/paper_list', 'URL', 42, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (77, '用户管理-查询', '/api/admin/sys/user/list', 'URL', 5, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (78, '用户管理-新增/修改', '/api/admin/sys/user/save', 'URL', 5, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (79, '用户管理-启用/禁用', '/api/admin/sys/user/enable', 'URL', 5, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (80, '用户管理-重置密码', '/api/admin/sys/user/reset_password', 'URL', 5, 4, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (81, '用户管理-导入', '/api/admin/sys/user/import', 'URL', 5, 5, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (82, '用户管理-绑定角色', '/api/admin/sys/user/bind_roles', 'URL', 5, 6, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (83, '角色管理-查询', '/api/admin/sys/role/list', 'URL', 6, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (84, '角色管理-删除', '/api/admin/sys/role/remove', 'URL', 6, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (85, '角色管理-新增/修改', '/api/admin/sys/role/save', 'URL', 6, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (86, '角色管理-启用/禁用', '/api/admin/sys/role/enable', 'URL', 6, 4, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (87, '用户管理-用户已绑定角色列表', '/api/admin/sys/role/get_user_roles', 'URL', 5, 5, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (88, '权限管理-查询', '/api/admin/sys/privilege/list', 'URL', 7, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (89, '权限管理-新增/修改', '/api/admin/sys/privilege/save', 'URL', 7, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (90, '权限管理-删除', '/api/admin/sys/privilege/remove', 'URL', 7, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (91, '角色管理-角色已绑定权限列表', '/api/admin/sys/privilege/get_role_privileges', 'URL', 6, 4, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (92, '组织机构-查询', '/api/admin/sys/org/list', 'URL', 4, 1, 'SYS', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (93, '组织机构-新增/修改', '/api/admin/sys/org/save', 'URL', 4, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (94, '组织机构-删除', '/api/admin/sys/org/remove', 'URL', 4, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (95, '组织机构-启用/禁用', '/api/admin/sys/org/enable', 'URL', 4, 4, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (96, '课程管理-查询', '/api/admin/basic/course/list', 'URL', 13, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (97, '课程管理-新增/修改', '/api/admin/basic/course/save', 'URL', 13, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (98, '课程管理-删除', '/api/admin/basic/course/remove', 'URL', 13, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (99, '考务规则-查询', '/api/admin/basic/exam_rule/list', 'URL', 8, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (100, '考务规则-新增/修改', '/api/admin/basic/exam_rule/save', 'URL', 8, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (101, '题卡规则-查询', '/api/admin/basic/card_rule/list', 'URL', 9, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (102, '题卡规则-查询单个', '/api/admin/basic/card_rule/get_one', 'URL', 9, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (103, '题卡规则-新增/修改', '/api/admin/basic/card_rule/save', 'URL', 9, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (104, '题卡规则-启用/禁用', '/api/admin/basic/card_rule/enable', 'URL', 9, 4, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (105, '通用模板-查询', '/api/admin/basic/template/list', 'URL', 10, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (106, '通用模板-新增/修改', '/api/admin/basic/template/save', 'URL', 10, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (107, '通用模板-启用/禁用', '/api/admin/basic/template/enable', 'URL', 10, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (112, '数据管理', 'data', 'MENU', 14, 4, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (113, '任务管理', 'DataTaskManage', 'MENU', 112, 1, NULL, NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (114, '任务管理-查询', '/api/admin/data/task/query', 'URL', 113, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (117, '命题待办接口', '/api/admin/work/exam/task/ready', 'URL', 16, 1, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (118, '命题待办计数接口', '/api/admin/work/exam/task/ready_count', 'URL', 16, 2, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (119, '命题分配待办接口', '/api/admin/work/exam/task/new', 'URL', 16, 3, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (120, '命题分配待办计数接口', '/api/admin/work/exam/task/new_count', 'URL', 16, 4, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (121, '审核待办接口', '/api/admin/work/exam/task/submit', 'URL', 16, 5, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (122, '审核待办计数接口', '/api/admin/work/exam/task/submit_count', 'URL', 16, 6, 'AUTH', NULL, NULL, 1);
INSERT INTO `sys_privilege` VALUES (123, '变量印品模板-查询', '/api/admin/basic/template/list', 'URL', 11, 1, 'AUTH', NULL, 1618275957170, 1);
INSERT INTO `sys_privilege` VALUES (124, '变量印品模板-新增/修改', '/api/admin/basic/template/save', 'URL', 11, 2, 'AUTH', NULL, 1618276023143, 1);
INSERT INTO `sys_privilege` VALUES (125, '变量印品模板-启用/禁用', '/api/admin/basic/template/enable', 'URL', 11, 3, 'AUTH', NULL, 1618276076303, 1);
INSERT INTO `sys_privilege` VALUES (126, '普通印品模板-查询', '/api/admin/basic/template/list', 'URL', 12, 1, 'AUTH', NULL, 1618276097200, 1);
INSERT INTO `sys_privilege` VALUES (127, '普通印品模板-新增/修改', '/api/admin/basic/template/save', 'URL', 12, 2, 'AUTH', NULL, 1618276118707, 1);
INSERT INTO `sys_privilege` VALUES (128, '普通印品模板-启用/禁用', '/api/admin/basic/template/enable', 'URL', 12, 3, 'AUTH', NULL, 1618276147300, 1);
INSERT INTO `sys_privilege` VALUES (129, '公共接口', 'common', 'MENU', NULL, 31, NULL, NULL, 1618276314557, 1);
INSERT INTO `sys_privilege` VALUES (130, '用户登录相关', 'login', 'MENU', 129, 1, NULL, NULL, 1618276356747, 1);
INSERT INTO `sys_privilege` VALUES (131, '用户登录', '/api/admin/common/login', 'URL', 130, 1, 'NO_AUTH', NULL, 1618276400583, 1);
INSERT INTO `sys_privilege` VALUES (132, '查询用户权限', '/api/admin/common/get_menu', 'URL', 130, 2, 'SYS', NULL, 1618276452859, 1);
INSERT INTO `sys_privilege` VALUES (133, '发送验证码', '/api/admin/common/get_verify_code', 'URL', 130, 3, 'SYS', NULL, 1618276515195, 1);
INSERT INTO `sys_privilege` VALUES (134, '修改密码', '/api/admin/sys/user/update_password', 'URL', 130, 4, 'SYS', NULL, 1618276598837, 1);
INSERT INTO `sys_privilege` VALUES (135, '用户登出', '/api/admin/common/logout', 'URL', 130, 5, 'SYS', NULL, 1618276619911, 1);
INSERT INTO `sys_privilege` VALUES (136, '模糊查询', 'query', 'MENU', 129, 2, NULL, NULL, 1618276655623, 1);
INSERT INTO `sys_privilege` VALUES (137, '模糊查询-印刷计划', '/api/admin/exam/print/query', 'URL', 136, 1, 'SYS', NULL, 1618276890195, 1);
INSERT INTO `sys_privilege` VALUES (138, '模糊查询-题卡规则', '/api/admin/basic/card_rule/query', 'URL', 136, 2, 'SYS', NULL, 1618276948061, 1);
INSERT INTO `sys_privilege` VALUES (139, '模糊查询-课程', '/api/admin/basic/course/query', 'URL', 136, 3, 'SYS', NULL, 1618276979583, 1);
INSERT INTO `sys_privilege` VALUES (140, '模糊查询-试卷编号', '/api/admin/exam/task/paper_number_query', 'URL', 136, 4, 'SYS', NULL, 1618277023075, 1);
INSERT INTO `sys_privilege` VALUES (141, '模糊查询-命题老师', '/api/admin/exam/task/user_query', 'URL', 136, 5, 'SYS', NULL, 1618277050673, 1);
INSERT INTO `sys_privilege` VALUES (142, '模糊查询-考点', '/api/admin/exam/print/data_place_query', 'URL', 136, 6, 'SYS', NULL, 1618277080906, 1);
INSERT INTO `sys_privilege` VALUES (143, '模糊查询-考场', '/api/admin/exam/print/data_room_query', 'URL', 136, 7, 'SYS', NULL, 1618277102519, 1);
INSERT INTO `sys_privilege` VALUES (144, '文件相关', 'file', 'MENU', 129, 3, NULL, NULL, 1618278402138, 1);
INSERT INTO `sys_privilege` VALUES (145, '文件上传', '/api/admin/common/file/upload', 'URL', 144, 1, 'SYS', NULL, 1618278573080, 1);
INSERT INTO `sys_privilege` VALUES (146, '文件查询', '/api/admin/common/file/get_one', 'URL', 144, 2, 'SYS', NULL, 1618278641214, 1);
INSERT INTO `sys_privilege` VALUES (147, '文件下载', '/api/admin/common/file/download', 'URL', 144, 3, 'SYS', NULL, 1618278672207, 1);
INSERT INTO `sys_privilege` VALUES (148, '文件预览', '/api/admin/common/file/preview', 'URL', 144, 4, 'SYS', NULL, 1618278691498, 1);
INSERT INTO `sys_privilege` VALUES (149, '系统相关', 'sys', 'MENU', 129, 4, NULL, NULL, 1618278754471, 1);
INSERT INTO `sys_privilege` VALUES (150, '查询枚举类型', '/api/admin/common/get_enums', 'URL', 149, 1, 'SYS', NULL, 1618278867874, 1);
INSERT INTO `sys_privilege` VALUES (151, '查询学校列表', '/api/admin/common/school/list', 'URL', 149, 2, 'SYS', NULL, 1618279075676, 1);
INSERT INTO `sys_privilege` VALUES (152, '查询系统参数', '/api/admin/common/sys_config/get_one', 'URL', 149, 3, 'NO_AUTH', NULL, 1618279142302, 1);
INSERT INTO `sys_privilege` VALUES (153, '根据学校代码查询学校信息', '/api/admin/common/school/query_by_school_code', 'URL', 149, 4, 'NO_AUTH', NULL, 1618279184033, 1);
INSERT INTO `sys_privilege` VALUES (154, '其他', 'other', 'MENU', 129, 5, NULL, NULL, 1618279415391, 1);
INSERT INTO `sys_privilege` VALUES (155, '用户导入（异步）', '/api/admin/sys/user/async/import', 'URL', 154, 1, 'SYS', NULL, 1618279437670, 1);
INSERT INTO `sys_privilege` VALUES (156, '用户导出', '/api/admin/sys/user/export', 'URL', 154, 2, 'SYS', NULL, 1618279460909, 1);
INSERT INTO `sys_privilege` VALUES (157, '考务数据导入-模板下载', '/api/admin/exam/print/template_download', 'URL', 44, 5, 'AUTH', NULL, 1618279526607, 1);
INSERT INTO `sys_privilege` VALUES (158, '考务数据导入-结果导出', '/api/admin/exam/print/data_export', 'URL', 44, 6, 'AUTH', NULL, 1618279673622, 1);
INSERT INTO `sys_privilege` VALUES (159, '考务明细查询-查询', '/api/admin/exam/print/data_detail', 'URL', 45, 1, 'AUTH', NULL, 1618279759583, 1);
INSERT INTO `sys_privilege` VALUES (160, '印刷任务管理-重新提交印刷', '/api/admin/exam/print/task_resubmit', 'URL', 47, 5, 'AUTH', NULL, 1618279829917, 1);
INSERT INTO `sys_privilege` VALUES (161, '印刷任务管理-查看PDF', '/api/admin/exam/print/task_view_pdf', 'URL', 47, 6, 'AUTH', NULL, 1618279856152, 1);
INSERT INTO `sys_privilege` VALUES (162, '印刷任务管理-批量下载PDF', '/api/admin/exam/print/task_download_pdf', 'URL', 47, 7, 'AUTH', NULL, 1618279887464, 1);
INSERT INTO `sys_privilege` VALUES (163, '入库审核-导出审核样本', '/api/admin/exam/task/review_export', 'URL', 41, 4, 'AUTH', NULL, 1618279929840, 1);
INSERT INTO `sys_privilege` VALUES (164, '卷库查询-下载试卷', '/api/admin/exam/task/paper_download', 'URL', 42, 2, 'AUTH', NULL, 1618280058132, 1);
INSERT INTO `sys_privilege` VALUES (165, '卷库查询-试卷启用/禁用', '/api/admin/exam/task/paper_enable', 'URL', 42, 3, 'AUTH', NULL, 1618280085672, 1);
INSERT INTO `sys_privilege` VALUES (166, '入库审核-查询已审核', '/api/admin/exam/task/review_list_audited', 'URL', 41, 5, 'AUTH', NULL, 1618280139790, 1);
INSERT INTO `sys_privilege` VALUES (167, '入库申请-查询可选择题卡', '/api/admin/exam/card/select_card_list', 'URL', 40, 4, 'AUTH', NULL, 1618280304150, 1);
INSERT INTO `sys_privilege` VALUES (168, '入库申请-查询申请详情', '/api/admin/exam/task/apply_get_one', 'URL', 40, 5, 'SYS', NULL, 1618280348974, 1);
INSERT INTO `sys_privilege` VALUES (169, '命题任务管理-根据课程查询命题老师', '/api/admin/sys/user/user_list', 'URL', 39, 7, 'AUTH', NULL, 1618280688210, 1);
INSERT INTO `sys_privilege` VALUES (170, '客服制卡', 'customer', 'MENU', NULL, 4, NULL, NULL, 1618282871937, 1);
INSERT INTO `sys_privilege` VALUES (171, '客服制卡', 'customer', 'MENU', 170, 1, NULL, NULL, 1618282892511, 1);
INSERT INTO `sys_privilege` VALUES (172, '题卡审核', 'CustomerCard', 'MENU', 171, 1, NULL, NULL, 1618282907795, 1);
INSERT INTO `sys_privilege` VALUES (173, '客服制卡-查询', '/api/admin/exam/card/cust_list', 'URL', 172, 1, 'AUTH', NULL, 1618282968373, 1);
INSERT INTO `sys_privilege` VALUES (174, '入库申请-申请客服制卡', '/api/admin/exam/card/cust_save', 'URL', 40, 6, 'AUTH', NULL, 1618282998936, 1);
INSERT INTO `sys_privilege` VALUES (175, '题卡管理', 'card', 'MENU', NULL, 5, NULL, NULL, 1618283031552, 1);
INSERT INTO `sys_privilege` VALUES (176, '题卡管理-查询题卡规则', '/api/admin/basic/card_rule/get_one', 'URL', 175, 1, 'AUTH', NULL, 1618283074324, 1);
INSERT INTO `sys_privilege` VALUES (177, '题卡管理-查询题卡详情', '/api/admin/exam/card/get_one', 'URL', 175, 2, 'AUTH', NULL, 1618283096674, 1);
INSERT INTO `sys_privilege` VALUES (178, '题卡管理-保存/提交', '/api/admin/exam/card/save', 'URL', 175, 3, 'AUTH', NULL, 1618283124980, 1);
INSERT INTO `sys_privilege` VALUES (179, '查询考务规则', '/api/admin/basic/exam_rule/list', 'URL', 149, 5, 'SYS', NULL, 1618295452892, 1);
INSERT INTO `sys_privilege` VALUES (180, '角色管理-查询可设置权限列表', '/api/admin/sys/privilege/list_auth', 'URL', 6, 6, 'AUTH', NULL, 1618379766163, 1);
INSERT INTO `sys_privilege` VALUES (181, '超管中心', 'admin', 'MENU', 129, 7, NULL, NULL, 1618387216180, 1);
INSERT INTO `sys_privilege` VALUES (182, '查询客服', '/api/admin/sys/user/list_customer', 'URL', 181, 1, 'SYS', NULL, 1618387265194, 1);
INSERT INTO `sys_privilege` VALUES (183, '新增客服', '/api/admin/sys/user/save_customer', 'URL', 181, 2, 'SYS', NULL, 1618387304029, 1);
INSERT INTO `sys_privilege` VALUES (184, '用户管理-查询用户可绑定角色', '/api/admin/sys/role/list_to_user', 'URL', 5, 7, 'AUTH', NULL, 1618387370044, 1);
INSERT INTO `sys_privilege` VALUES (185,'客服制卡-批量下载文件','/api/admin/exam/card/download_files','URL',172,2,'AUTH',NULL,1618282968373,1);
INSERT INTO `sys_privilege` VALUES (186,'印刷任务管理-查看印品','/api/admin/exam/print/template_view','URL',47,8,'AUTH',NULL,1618986009123,1);
INSERT INTO `sys_privilege` VALUES (187,'客户端登录','/api/admin/client/user/login','URL',NULL,1,'NO_AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (188,'考务明细查询-学生明细','/api/admin/exam/print/get_student_detail','URL',45,2,'SYS',NULL,1619502584844,1);
INSERT INTO `sys_privilege` VALUES (189,'卷库查询-修改','/api/admin/exam/task/paper_update','URL',42,4,'AUTH',NULL,1619502584844,1);
INSERT INTO `sys_privilege` VALUES (199,'客户端','client','MENU',NULL,22,NULL,NULL,1619502252306,1);
INSERT INTO `sys_privilege` VALUES (200,'试卷打样-查询列表','/api/admin/client/paper_try/list','URL',199,2,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (201,'试卷打样-查看/试印/重印','/api/admin/client/paper_try/print','URL',199,3,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (202,'试卷打样-批量试印','/api/admin/client/paper_try/print_batch','URL',199,4,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (203,'试卷打样-标记合格状态','/api/admin/client/paper_try/tag_pass','URL',199,5,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (204,'印刷管理-查询列表','/api/admin/client/print/task_list','URL',199,6,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (205,'印刷管理-导出','/api/admin/client/print/task_list_export','URL',199,7,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (206,'印刷管理-汇总数据查询','/api/admin/client/print/task_total_data','URL',199,8,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (207,'印刷管理-查看','/api/admin/client/print/preview','URL',199,9,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (208,'印刷管理-印刷/缓存数据','/api/admin/client/print/get_print_data','URL',199,10,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (209,'印刷管理-批量缓存','/api/admin/client/print/get_print_data_batch','URL',199,11,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (210,'印刷管理-缓存后更新状态','/api/admin/client/print/update_download','URL',199,12,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (211,'印刷管理-校验','/api/admin/client/print/validate_data','URL',199,13,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (212,'印刷管理-更新打印进度','/api/admin/client/print/update_progress','URL',199,14,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (213,'重打-查询考生列表','/api/admin/client/print/list_student','URL',199,15,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (214,'重打-内容查询','/api/admin/client/print/get_reprint_data','URL',199,16,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (215,'统计查询-查询列表','/api/admin/client/print/statistics_list','URL',199,16,'AUTH',NULL,NULL,1);
INSERT INTO `sys_privilege` VALUES (216,'统计查询-汇总数据查询','/api/admin/client/print/statistics_total_data','URL',199,16,'AUTH',NULL,NULL,1);
-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NULL DEFAULT NULL COMMENT '学校ID',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色名称',
  `enable` tinyint(4) NOT NULL DEFAULT 1 COMMENT '是否启用，false：停用，true：启用',
  `type` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色类别，ADMIN：超级管理员，SCHOOL_ADMIN：管理员：EXAM_TEACHER：考务老师，QUESTION_TEACHER：命题老师，CUSTOMER：客服人员，PRINTER：印刷人员，CUSTOM：自定义',
  `create_id` bigint(20) NULL DEFAULT NULL COMMENT '创建人',
  `create_time` bigint(20) NULL DEFAULT NULL COMMENT '创建时间',
  `update_id` bigint(20) NULL DEFAULT NULL COMMENT '修改人',
  `update_time` bigint(20) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, NULL, '系统管理员', 1, 'ADMIN', NULL, NULL, NULL, NULL);
INSERT INTO `sys_role` VALUES (2, NULL, '学校管理员', 1, 'SCHOOL_ADMIN', NULL, NULL, NULL, NULL);
INSERT INTO `sys_role` VALUES (3, NULL, '考务老师', 1, 'EXAM_TEACHER', NULL, NULL, NULL, NULL);
INSERT INTO `sys_role` VALUES (4, NULL, '命题老师', 1, 'QUESTION_TEACHER', NULL, NULL, NULL, NULL);
INSERT INTO `sys_role` VALUES (5, NULL, '客服人员', 1, 'CUSTOMER', NULL, NULL, NULL, NULL);
INSERT INTO `sys_role` VALUES (6, NULL, '印刷人员', 1, 'PRINTER', NULL, NULL, NULL, NULL);
INSERT INTO `sys_role` VALUES (114679324187033600, 1, '命题老师', 1, 'QUESTION_TEACHER', 1, 1618282481532, 1, 1618295472171);
INSERT INTO `sys_role` VALUES (114680250561986560, 1, '考务老师', 1, 'EXAM_TEACHER', 1, 1618282702391, 1, 1618295489620);
INSERT INTO `sys_role` VALUES (114680556444188672, 1, '学校管理员', 1, 'SCHOOL_ADMIN', 1, 1618282775319, 1, 1618295501203);
INSERT INTO `sys_role` VALUES (114685879674470400, 1, '客服员', 1, 'CUSTOMER', 1, 1618284044479, NULL, 1618284044479);

-- ----------------------------
-- Table structure for sys_role_course
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_course`;
CREATE TABLE `sys_role_course`  (
  `id` bigint(20) NOT NULL,
  `role_id` bigint(20) NOT NULL,
  `course_id` bigint(20) NOT NULL,
  `create_id` bigint(20) NULL DEFAULT NULL,
  `create_time` bigint(20) NULL DEFAULT NULL,
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色关联课程' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for sys_role_privilege
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_privilege`;
CREATE TABLE `sys_role_privilege`  (
  `id` bigint(20) NOT NULL,
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `privilege_id` bigint(20) NOT NULL COMMENT '菜单ID',
  `enable` tinyint(4) NULL DEFAULT 1 COMMENT '是否禁用，false：禁用，true：启用',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_privilege
-- ----------------------------
INSERT INTO `sys_role_privilege` VALUES (1382504079113662465, 2, 1, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079126245378, 2, 2, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079134633986, 2, 4, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079134633987, 2, 92, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079134633988, 2, 93, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079143022593, 2, 94, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079143022594, 2, 95, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079143022595, 2, 5, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079151411201, 2, 77, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079151411202, 2, 78, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079151411203, 2, 79, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079151411204, 2, 80, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079151411205, 2, 81, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079163994113, 2, 87, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079163994114, 2, 82, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079172382722, 2, 184, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079172382723, 2, 6, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079172382724, 2, 83, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079189159938, 2, 84, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079189159939, 2, 85, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079189159940, 2, 86, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079189159941, 2, 91, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079201742849, 2, 180, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079201742850, 2, 3, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079210131457, 2, 8, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079210131458, 2, 99, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079210131459, 2, 100, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079218520065, 2, 9, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079218520066, 2, 101, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079226908674, 2, 102, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079226908675, 2, 103, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079226908676, 2, 104, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079235297282, 2, 10, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079235297283, 2, 105, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079235297284, 2, 106, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079235297285, 2, 107, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079235297286, 2, 11, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079235297287, 2, 123, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079243685890, 2, 124, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079243685891, 2, 125, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079243685892, 2, 12, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079252074498, 2, 126, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079252074499, 2, 127, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079252074500, 2, 128, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079252074501, 2, 13, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079260463106, 2, 96, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079260463107, 2, 97, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079260463108, 2, 98, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079260463109, 2, 14, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079268851714, 2, 15, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079268851715, 2, 16, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079268851716, 2, 117, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079273046018, 2, 118, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079273046019, 2, 119, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079273046020, 2, 120, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079273046021, 2, 121, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079273046022, 2, 122, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079281434625, 2, 37, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079281434626, 2, 39, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079281434627, 2, 63, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079281434628, 2, 64, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079281434629, 2, 65, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079289823233, 2, 66, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079289823234, 2, 67, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079289823235, 2, 68, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079289823236, 2, 69, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079298211841, 2, 169, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079298211842, 2, 40, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079298211843, 2, 70, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079298211844, 2, 71, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079298211845, 2, 72, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079298211846, 2, 167, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079298211847, 2, 168, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079306600450, 2, 174, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079306600451, 2, 41, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079306600452, 2, 73, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079306600453, 2, 74, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079306600454, 2, 75, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079314989057, 2, 163, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079314989058, 2, 166, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079314989059, 2, 42, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079314989060, 2, 76, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079323377666, 2, 164, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079323377667, 2, 165, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079323377668, 2, 38, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079331766274, 2, 43, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079331766275, 2, 48, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079331766276, 2, 49, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079331766277, 2, 50, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079331766278, 2, 51, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079340154882, 2, 44, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079340154883, 2, 52, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079340154884, 2, 53, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079340154885, 2, 54, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079340154886, 2, 55, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079348543489, 2, 157, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079348543490, 2, 158, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079348543491, 2, 45, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079356932097, 2, 159, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079356932098, 2, 46, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079356932099, 2, 56, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079356932100, 2, 57, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079365320706, 2, 58, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079365320707, 2, 47, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079365320708, 2, 59, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079365320709, 2, 60, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079365320710, 2, 61, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079365320711, 2, 62, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079373709314, 2, 160, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079373709315, 2, 161, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079373709316, 2, 162, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079373709317, 2, 112, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079373709318, 2, 113, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079373709319, 2, 114, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079382097921, 2, 175, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079382097922, 2, 176, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079382097923, 2, 177, 1);
INSERT INTO `sys_role_privilege` VALUES (1382504079382097924, 2, 178, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138762625026, 4, 117, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138762625027, 4, 118, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138771013633, 4, 40, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138771013634, 4, 70, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138771013635, 4, 71, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138771013636, 4, 72, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138771013637, 4, 167, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138771013638, 4, 168, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138779402242, 4, 174, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138779402243, 4, 175, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138779402244, 4, 176, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138779402245, 4, 177, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138779402246, 4, 178, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138787790850, 4, 14, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138787790851, 4, 15, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138787790852, 4, 16, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505138787790853, 4, 37, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505172719710209, 5, 170, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505172719710210, 5, 171, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505172719710211, 5, 172, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505172728098817, 5, 173, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505172728098818, 5, 175, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505172728098819, 5, 176, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505172728098820, 5, 177, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505172728098821, 5, 178, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274322530306, 6, 38, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274330918913, 6, 43, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274339307521, 6, 48, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274339307522, 6, 49, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274339307523, 6, 50, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274339307524, 6, 51, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274339307525, 6, 44, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274347696129, 6, 52, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274347696130, 6, 53, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274347696131, 6, 54, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274347696132, 6, 55, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274356084738, 6, 157, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274356084739, 6, 158, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274356084740, 6, 45, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274364473345, 6, 159, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274364473346, 6, 46, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274368667649, 6, 56, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274368667650, 6, 57, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274368667651, 6, 58, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274368667652, 6, 47, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274368667653, 6, 59, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274377056257, 6, 60, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274377056258, 6, 61, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274381250562, 6, 62, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274381250563, 6, 160, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274381250564, 6, 161, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274381250565, 6, 162, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274389639170, 6, 112, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274389639171, 6, 113, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274398027778, 6, 114, 1);
INSERT INTO `sys_role_privilege` VALUES (1382505274398027779, 6, 14, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222785, 3, 119, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222786, 3, 120, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222787, 3, 121, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222788, 3, 122, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222789, 3, 39, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222790, 3, 63, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222791, 3, 64, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222792, 3, 65, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222793, 3, 66, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222794, 3, 67, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222795, 3, 68, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222796, 3, 169, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222797, 3, 41, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222798, 3, 73, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222799, 3, 74, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222800, 3, 75, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222801, 3, 163, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222802, 3, 166, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222803, 3, 42, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222804, 3, 76, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222805, 3, 164, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222806, 3, 165, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222807, 3, 38, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222808, 3, 43, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222809, 3, 48, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665569263222810, 3, 49, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570106277889, 3, 50, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570114666497, 3, 51, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570123055106, 3, 44, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570123055107, 3, 52, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570131443713, 3, 53, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570139832321, 3, 54, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570148220929, 3, 55, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570156609538, 3, 157, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570164998146, 3, 158, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570173386753, 3, 45, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570177581058, 3, 159, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570185969665, 3, 46, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570202746882, 3, 56, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570211135489, 3, 57, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570211135490, 3, 58, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570211135491, 3, 47, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570223718402, 3, 59, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570232107009, 3, 60, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570240495618, 3, 61, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570240495619, 3, 62, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570248884226, 3, 160, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570257272833, 3, 161, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570265661442, 3, 162, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570265661443, 3, 112, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570320187394, 3, 113, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570328576002, 3, 114, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570328576003, 3, 176, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570336964610, 3, 177, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570336964611, 3, 14, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570345353218, 3, 15, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570357936130, 3, 16, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570374713345, 3, 37, 1);
INSERT INTO `sys_role_privilege` VALUES (1382665570383101953, 3, 175, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368246277,5,185,1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368246278,4,42,1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368246279,4,76,1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368246280,4,164,1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368246281,3,188,1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368246282,4,189,1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247199, 6, 199, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247200, 6, 200, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247201, 6, 201, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247202, 6, 202, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247203, 6, 203, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247204, 6, 204, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247205, 6, 205, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247206, 6, 206, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247207, 6, 207, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247208, 6, 208, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247209, 6, 209, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247210, 6, 210, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247211, 6, 211, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247212, 6, 212, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247213, 6, 213, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247214, 6, 214, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247215, 6, 215, 1);
INSERT INTO `sys_role_privilege` VALUES (1384755205368247216, 6, 216, 1);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `id` bigint(20) NOT NULL,
  `school_id` bigint(20) NULL DEFAULT NULL COMMENT '学校ID',
  `login_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户名',
  `real_name` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '姓名',
  `password` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '密码',
  `mobile_number` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '手机号',
  `org_id` bigint(20) NULL DEFAULT NULL,
  `enable` tinyint(4) NOT NULL DEFAULT 1 COMMENT 'false-禁用，true-启用',
  `pwd_update_time` bigint(20) NULL DEFAULT NULL COMMENT '密码修改时间',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_id` bigint(20) NULL DEFAULT NULL COMMENT '创建人',
  `create_time` bigint(20) NULL DEFAULT NULL COMMENT '创建时间',
  `update_id` bigint(20) NULL DEFAULT NULL,
  `update_time` bigint(20) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `user_schoolId_orgId_loginName_idx`(`school_id`, `org_id`, `login_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, NULL, 'sysadmin', 'sysadmin', 'MTIzNDU2', NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_user` VALUES (2, NULL, 'xiaofei', 'xf', 'MTIzNDU2', NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_user` VALUES (3, 1, 'admin1', 'real_admin1', 'MTIzNDU2', NULL, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_user` VALUES (4, 1, 'kw1', 'real_kw1', 'MTIzNDU2', '18512356897', 1, 1, NULL, NULL, NULL, NULL, 1, 1618293244005);
INSERT INTO `sys_user` VALUES (5, 1, 'mt1', 'real_mt1', 'MTIzNDU2', '18512345689', 1, 1, NULL, NULL, NULL, NULL, 1, 1618293223236);
INSERT INTO `sys_user` VALUES (6, 1, 'kf1', 'real_kf1', 'MTIzNDU2', NULL, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_user` VALUES (7, 1, 'ys1', 'real_ys1', 'MTIzNDU2', NULL, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `privilege_id` bigint(20) NULL DEFAULT NULL COMMENT '权限id',
  `enable` tinyint(4) NOT NULL DEFAULT 1 COMMENT '是否禁用，false：禁用，true：启用',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户和角色关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1, 1, NULL, 1);
INSERT INTO `sys_user_role` VALUES (2, 2, 2, 1, 1);
INSERT INTO `sys_user_role` VALUES (3, 2, 2, 2, 1);
INSERT INTO `sys_user_role` VALUES (4, 2, 2, 3, 1);
INSERT INTO `sys_user_role` VALUES (5, 2, 2, 4, 1);
INSERT INTO `sys_user_role` VALUES (6, 2, 2, 5, 1);
INSERT INTO `sys_user_role` VALUES (7, 2, 2, 6, 1);
INSERT INTO `sys_user_role` VALUES (8, 2, 2, 7, 1);
INSERT INTO `sys_user_role` VALUES (9, 2, 2, 8, 1);
INSERT INTO `sys_user_role` VALUES (10, 2, 2, 9, 1);
INSERT INTO `sys_user_role` VALUES (11, 2, 2, 10, 1);
INSERT INTO `sys_user_role` VALUES (12, 2, 2, 11, 1);
INSERT INTO `sys_user_role` VALUES (13, 2, 2, 12, 1);
INSERT INTO `sys_user_role` VALUES (14, 2, 2, 13, 1);
INSERT INTO `sys_user_role` VALUES (15, 2, 2, 14, 1);
INSERT INTO `sys_user_role` VALUES (16, 2, 2, 15, 1);
INSERT INTO `sys_user_role` VALUES (17, 2, 2, 16, 1);
INSERT INTO `sys_user_role` VALUES (18, 2, 2, 37, 1);
INSERT INTO `sys_user_role` VALUES (19, 2, 2, 38, 1);
INSERT INTO `sys_user_role` VALUES (20, 2, 2, 39, 1);
INSERT INTO `sys_user_role` VALUES (21, 2, 2, 40, 1);
INSERT INTO `sys_user_role` VALUES (22, 2, 2, 41, 1);
INSERT INTO `sys_user_role` VALUES (23, 2, 2, 42, 1);
INSERT INTO `sys_user_role` VALUES (24, 2, 2, 43, 1);
INSERT INTO `sys_user_role` VALUES (25, 2, 2, 44, 1);
INSERT INTO `sys_user_role` VALUES (26, 2, 2, 45, 1);
INSERT INTO `sys_user_role` VALUES (27, 2, 2, 46, 1);
INSERT INTO `sys_user_role` VALUES (28, 2, 2, 47, 1);
INSERT INTO `sys_user_role` VALUES (29, 2, 2, 48, 1);
INSERT INTO `sys_user_role` VALUES (30, 2, 2, 49, 1);
INSERT INTO `sys_user_role` VALUES (31, 2, 2, 50, 1);
INSERT INTO `sys_user_role` VALUES (32, 2, 2, 51, 1);
INSERT INTO `sys_user_role` VALUES (33, 2, 2, 52, 1);
INSERT INTO `sys_user_role` VALUES (34, 2, 2, 53, 1);
INSERT INTO `sys_user_role` VALUES (35, 2, 2, 54, 1);
INSERT INTO `sys_user_role` VALUES (36, 2, 2, 55, 1);
INSERT INTO `sys_user_role` VALUES (37, 2, 2, 56, 1);
INSERT INTO `sys_user_role` VALUES (38, 2, 2, 57, 1);
INSERT INTO `sys_user_role` VALUES (39, 2, 2, 58, 1);
INSERT INTO `sys_user_role` VALUES (40, 2, 2, 59, 1);
INSERT INTO `sys_user_role` VALUES (41, 2, 2, 60, 1);
INSERT INTO `sys_user_role` VALUES (42, 2, 2, 61, 1);
INSERT INTO `sys_user_role` VALUES (43, 2, 2, 62, 1);
INSERT INTO `sys_user_role` VALUES (44, 2, 2, 63, 1);
INSERT INTO `sys_user_role` VALUES (45, 2, 2, 64, 1);
INSERT INTO `sys_user_role` VALUES (46, 2, 2, 65, 1);
INSERT INTO `sys_user_role` VALUES (47, 2, 2, 66, 1);
INSERT INTO `sys_user_role` VALUES (48, 2, 2, 67, 1);
INSERT INTO `sys_user_role` VALUES (49, 2, 2, 68, 1);
INSERT INTO `sys_user_role` VALUES (50, 2, 2, 69, 1);
INSERT INTO `sys_user_role` VALUES (51, 2, 2, 70, 1);
INSERT INTO `sys_user_role` VALUES (52, 2, 2, 71, 1);
INSERT INTO `sys_user_role` VALUES (53, 2, 2, 72, 1);
INSERT INTO `sys_user_role` VALUES (54, 2, 2, 73, 1);
INSERT INTO `sys_user_role` VALUES (55, 2, 2, 74, 1);
INSERT INTO `sys_user_role` VALUES (56, 2, 2, 75, 1);
INSERT INTO `sys_user_role` VALUES (57, 2, 2, 76, 1);
INSERT INTO `sys_user_role` VALUES (58, 2, 2, 77, 1);
INSERT INTO `sys_user_role` VALUES (59, 2, 2, 78, 1);
INSERT INTO `sys_user_role` VALUES (60, 2, 2, 79, 1);
INSERT INTO `sys_user_role` VALUES (61, 2, 2, 80, 1);
INSERT INTO `sys_user_role` VALUES (62, 2, 2, 81, 1);
INSERT INTO `sys_user_role` VALUES (63, 2, 2, 82, 1);
INSERT INTO `sys_user_role` VALUES (64, 2, 2, 83, 1);
INSERT INTO `sys_user_role` VALUES (65, 2, 2, 84, 1);
INSERT INTO `sys_user_role` VALUES (66, 2, 2, 85, 1);
INSERT INTO `sys_user_role` VALUES (67, 2, 2, 86, 1);
INSERT INTO `sys_user_role` VALUES (68, 2, 2, 87, 1);
INSERT INTO `sys_user_role` VALUES (69, 2, 2, 88, 1);
INSERT INTO `sys_user_role` VALUES (70, 2, 2, 89, 1);
INSERT INTO `sys_user_role` VALUES (71, 2, 2, 90, 1);
INSERT INTO `sys_user_role` VALUES (72, 2, 2, 91, 1);
INSERT INTO `sys_user_role` VALUES (73, 2, 2, 92, 1);
INSERT INTO `sys_user_role` VALUES (74, 2, 2, 93, 1);
INSERT INTO `sys_user_role` VALUES (75, 2, 2, 94, 1);
INSERT INTO `sys_user_role` VALUES (76, 2, 2, 95, 1);
INSERT INTO `sys_user_role` VALUES (77, 2, 2, 96, 1);
INSERT INTO `sys_user_role` VALUES (78, 2, 2, 97, 1);
INSERT INTO `sys_user_role` VALUES (79, 2, 2, 98, 1);
INSERT INTO `sys_user_role` VALUES (80, 2, 2, 99, 1);
INSERT INTO `sys_user_role` VALUES (81, 2, 2, 100, 1);
INSERT INTO `sys_user_role` VALUES (82, 2, 2, 101, 1);
INSERT INTO `sys_user_role` VALUES (83, 2, 2, 102, 1);
INSERT INTO `sys_user_role` VALUES (84, 2, 2, 103, 1);
INSERT INTO `sys_user_role` VALUES (85, 2, 2, 104, 1);
INSERT INTO `sys_user_role` VALUES (86, 2, 2, 105, 1);
INSERT INTO `sys_user_role` VALUES (87, 2, 2, 106, 1);
INSERT INTO `sys_user_role` VALUES (88, 2, 2, 107, 1);
INSERT INTO `sys_user_role` VALUES (129, 3, 3, 48, 1);
INSERT INTO `sys_user_role` VALUES (130, 3, 3, 49, 1);
INSERT INTO `sys_user_role` VALUES (131, 3, 3, 50, 1);
INSERT INTO `sys_user_role` VALUES (132, 3, 3, 51, 1);
INSERT INTO `sys_user_role` VALUES (133, 3, 3, 52, 1);
INSERT INTO `sys_user_role` VALUES (134, 3, 3, 53, 1);
INSERT INTO `sys_user_role` VALUES (135, 3, 3, 54, 1);
INSERT INTO `sys_user_role` VALUES (136, 3, 3, 55, 1);
INSERT INTO `sys_user_role` VALUES (137, 3, 3, 56, 1);
INSERT INTO `sys_user_role` VALUES (138, 3, 3, 57, 1);
INSERT INTO `sys_user_role` VALUES (139, 3, 3, 58, 1);
INSERT INTO `sys_user_role` VALUES (140, 3, 3, 59, 1);
INSERT INTO `sys_user_role` VALUES (141, 3, 3, 60, 1);
INSERT INTO `sys_user_role` VALUES (142, 3, 3, 61, 1);
INSERT INTO `sys_user_role` VALUES (143, 3, 3, 62, 1);
INSERT INTO `sys_user_role` VALUES (144, 3, 3, 63, 1);
INSERT INTO `sys_user_role` VALUES (145, 3, 3, 64, 1);
INSERT INTO `sys_user_role` VALUES (146, 3, 3, 65, 1);
INSERT INTO `sys_user_role` VALUES (147, 3, 3, 66, 1);
INSERT INTO `sys_user_role` VALUES (148, 3, 3, 67, 1);
INSERT INTO `sys_user_role` VALUES (149, 3, 3, 68, 1);
INSERT INTO `sys_user_role` VALUES (150, 3, 3, 69, 1);
INSERT INTO `sys_user_role` VALUES (151, 3, 3, 73, 1);
INSERT INTO `sys_user_role` VALUES (152, 3, 3, 74, 1);
INSERT INTO `sys_user_role` VALUES (153, 3, 3, 75, 1);
INSERT INTO `sys_user_role` VALUES (154, 3, 3, 76, 1);
INSERT INTO `sys_user_role` VALUES (163, 2, 2, 112, 1);
INSERT INTO `sys_user_role` VALUES (164, 2, 2, 113, 1);
INSERT INTO `sys_user_role` VALUES (165, 2, 2, 114, 1);
INSERT INTO `sys_user_role` VALUES (166, 3, 3, 119, 1);
INSERT INTO `sys_user_role` VALUES (167, 3, 3, 120, 1);
INSERT INTO `sys_user_role` VALUES (168, 3, 3, 121, 1);
INSERT INTO `sys_user_role` VALUES (169, 3, 3, 122, 1);
INSERT INTO `sys_user_role` VALUES (172, 2, 1, NULL, 1);
INSERT INTO `sys_user_role` VALUES (1381848050503843842, 5, 114679324187033600, 117, 1);
INSERT INTO `sys_user_role` VALUES (1381848050524815362, 5, 114679324187033600, 118, 1);
INSERT INTO `sys_user_role` VALUES (1381848050780667905, 5, 114679324187033600, 40, 1);
INSERT INTO `sys_user_role` VALUES (1381848050801639426, 5, 114679324187033600, 70, 1);
INSERT INTO `sys_user_role` VALUES (1381848050826805250, 5, 114679324187033600, 71, 1);
INSERT INTO `sys_user_role` VALUES (1381848050856165378, 5, 114679324187033600, 72, 1);
INSERT INTO `sys_user_role` VALUES (1381848050881331202, 5, 114679324187033600, 167, 1);
INSERT INTO `sys_user_role` VALUES (1381848050898108418, 5, 114679324187033600, 168, 1);
INSERT INTO `sys_user_role` VALUES (1381848050923274242, 5, 114679324187033600, 174, 1);
INSERT INTO `sys_user_role` VALUES (1381848050940051457, 5, 114679324187033600, 175, 1);
INSERT INTO `sys_user_role` VALUES (1381848050956828674, 5, 114679324187033600, 176, 1);
INSERT INTO `sys_user_role` VALUES (1381848050998771713, 5, 114679324187033600, 177, 1);
INSERT INTO `sys_user_role` VALUES (1381848051015548930, 5, 114679324187033600, 178, 1);
INSERT INTO `sys_user_role` VALUES (1381848051040714753, 5, 114679324187033600, 130, 1);
INSERT INTO `sys_user_role` VALUES (1381848051065880577, 5, 114679324187033600, 131, 1);
INSERT INTO `sys_user_role` VALUES (1381848051082657793, 5, 114679324187033600, 132, 1);
INSERT INTO `sys_user_role` VALUES (1381848051099435009, 5, 114679324187033600, 133, 1);
INSERT INTO `sys_user_role` VALUES (1381848051116212226, 5, 114679324187033600, 134, 1);
INSERT INTO `sys_user_role` VALUES (1381848051141378049, 5, 114679324187033600, 135, 1);
INSERT INTO `sys_user_role` VALUES (1381848051158155266, 5, 114679324187033600, 138, 1);
INSERT INTO `sys_user_role` VALUES (1381848051174932482, 5, 114679324187033600, 139, 1);
INSERT INTO `sys_user_role` VALUES (1381848051191709698, 5, 114679324187033600, 140, 1);
INSERT INTO `sys_user_role` VALUES (1381848051208486913, 5, 114679324187033600, 142, 1);
INSERT INTO `sys_user_role` VALUES (1381848051216875521, 5, 114679324187033600, 143, 1);
INSERT INTO `sys_user_role` VALUES (1381848051242041346, 5, 114679324187033600, 144, 1);
INSERT INTO `sys_user_role` VALUES (1381848051254624257, 5, 114679324187033600, 145, 1);
INSERT INTO `sys_user_role` VALUES (1381848051271401473, 5, 114679324187033600, 146, 1);
INSERT INTO `sys_user_role` VALUES (1381848051288178689, 5, 114679324187033600, 147, 1);
INSERT INTO `sys_user_role` VALUES (1381848051304955906, 5, 114679324187033600, 148, 1);
INSERT INTO `sys_user_role` VALUES (1381848051321733121, 5, 114679324187033600, 150, 1);
INSERT INTO `sys_user_role` VALUES (1381848051338510337, 5, 114679324187033600, 152, 1);
INSERT INTO `sys_user_role` VALUES (1381848051355287554, 5, 114679324187033600, 153, 1);
INSERT INTO `sys_user_role` VALUES (1381848051372064770, 5, 114679324187033600, 14, 1);
INSERT INTO `sys_user_role` VALUES (1381848051388841985, 5, 114679324187033600, 15, 1);
INSERT INTO `sys_user_role` VALUES (1381848051405619202, 5, 114679324187033600, 16, 1);
INSERT INTO `sys_user_role` VALUES (1381848051414007809, 5, 114679324187033600, 37, 1);
INSERT INTO `sys_user_role` VALUES (1381848051430785025, 5, 114679324187033600, 129, 1);
INSERT INTO `sys_user_role` VALUES (1381848051447562241, 5, 114679324187033600, 136, 1);
INSERT INTO `sys_user_role` VALUES (1381848051455950849, 5, 114679324187033600, 149, 1);
INSERT INTO `sys_user_role` VALUES (1381848137091055618, 4, 114680250561986560, 119, 1);
INSERT INTO `sys_user_role` VALUES (1381848137112027137, 4, 114680250561986560, 120, 1);
INSERT INTO `sys_user_role` VALUES (1381848137141387266, 4, 114680250561986560, 121, 1);
INSERT INTO `sys_user_role` VALUES (1381848137149775874, 4, 114680250561986560, 122, 1);
INSERT INTO `sys_user_role` VALUES (1381848137174941698, 4, 114680250561986560, 39, 1);
INSERT INTO `sys_user_role` VALUES (1381848137191718914, 4, 114680250561986560, 63, 1);
INSERT INTO `sys_user_role` VALUES (1381848137212690433, 4, 114680250561986560, 64, 1);
INSERT INTO `sys_user_role` VALUES (1381848137237856258, 4, 114680250561986560, 65, 1);
INSERT INTO `sys_user_role` VALUES (1381848137254633474, 4, 114680250561986560, 66, 1);
INSERT INTO `sys_user_role` VALUES (1381848137271410689, 4, 114680250561986560, 67, 1);
INSERT INTO `sys_user_role` VALUES (1381848137317548034, 4, 114680250561986560, 68, 1);
INSERT INTO `sys_user_role` VALUES (1381848137338519554, 4, 114680250561986560, 69, 1);
INSERT INTO `sys_user_role` VALUES (1381848137359491073, 4, 114680250561986560, 41, 1);
INSERT INTO `sys_user_role` VALUES (1381848137380462593, 4, 114680250561986560, 73, 1);
INSERT INTO `sys_user_role` VALUES (1381848137405628418, 4, 114680250561986560, 74, 1);
INSERT INTO `sys_user_role` VALUES (1381848137422405633, 4, 114680250561986560, 75, 1);
INSERT INTO `sys_user_role` VALUES (1381848137455960065, 4, 114680250561986560, 163, 1);
INSERT INTO `sys_user_role` VALUES (1381848137472737282, 4, 114680250561986560, 166, 1);
INSERT INTO `sys_user_role` VALUES (1381848137489514497, 4, 114680250561986560, 42, 1);
INSERT INTO `sys_user_role` VALUES (1381848137514680321, 4, 114680250561986560, 76, 1);
INSERT INTO `sys_user_role` VALUES (1381848137535651842, 4, 114680250561986560, 164, 1);
INSERT INTO `sys_user_role` VALUES (1381848137556623361, 4, 114680250561986560, 165, 1);
INSERT INTO `sys_user_role` VALUES (1381848137573400577, 4, 114680250561986560, 38, 1);
INSERT INTO `sys_user_role` VALUES (1381848137590177794, 4, 114680250561986560, 43, 1);
INSERT INTO `sys_user_role` VALUES (1381848137606955010, 4, 114680250561986560, 48, 1);
INSERT INTO `sys_user_role` VALUES (1381848137632120834, 4, 114680250561986560, 49, 1);
INSERT INTO `sys_user_role` VALUES (1381848137648898050, 4, 114680250561986560, 50, 1);
INSERT INTO `sys_user_role` VALUES (1381848137674063873, 4, 114680250561986560, 51, 1);
INSERT INTO `sys_user_role` VALUES (1381848137690841090, 4, 114680250561986560, 44, 1);
INSERT INTO `sys_user_role` VALUES (1381848137707618306, 4, 114680250561986560, 52, 1);
INSERT INTO `sys_user_role` VALUES (1381848137724395521, 4, 114680250561986560, 53, 1);
INSERT INTO `sys_user_role` VALUES (1381848137741172738, 4, 114680250561986560, 54, 1);
INSERT INTO `sys_user_role` VALUES (1381848137757949953, 4, 114680250561986560, 55, 1);
INSERT INTO `sys_user_role` VALUES (1381848137757949954, 4, 114680250561986560, 157, 1);
INSERT INTO `sys_user_role` VALUES (1381848137799892994, 4, 114680250561986560, 158, 1);
INSERT INTO `sys_user_role` VALUES (1381848137816670209, 4, 114680250561986560, 45, 1);
INSERT INTO `sys_user_role` VALUES (1381848137833447426, 4, 114680250561986560, 159, 1);
INSERT INTO `sys_user_role` VALUES (1381848137850224641, 4, 114680250561986560, 46, 1);
INSERT INTO `sys_user_role` VALUES (1381848137867001858, 4, 114680250561986560, 56, 1);
INSERT INTO `sys_user_role` VALUES (1381848137883779073, 4, 114680250561986560, 57, 1);
INSERT INTO `sys_user_role` VALUES (1381848137892167682, 4, 114680250561986560, 58, 1);
INSERT INTO `sys_user_role` VALUES (1381848137908944898, 4, 114680250561986560, 47, 1);
INSERT INTO `sys_user_role` VALUES (1381848137925722114, 4, 114680250561986560, 59, 1);
INSERT INTO `sys_user_role` VALUES (1381848137938305025, 4, 114680250561986560, 60, 1);
INSERT INTO `sys_user_role` VALUES (1381848137946693633, 4, 114680250561986560, 61, 1);
INSERT INTO `sys_user_role` VALUES (1381848137976053761, 4, 114680250561986560, 62, 1);
INSERT INTO `sys_user_role` VALUES (1381848137992830977, 4, 114680250561986560, 160, 1);
INSERT INTO `sys_user_role` VALUES (1381848138009608194, 4, 114680250561986560, 161, 1);
INSERT INTO `sys_user_role` VALUES (1381848138026385410, 4, 114680250561986560, 162, 1);
INSERT INTO `sys_user_role` VALUES (1381848138043162626, 4, 114680250561986560, 112, 1);
INSERT INTO `sys_user_role` VALUES (1381848138051551234, 4, 114680250561986560, 113, 1);
INSERT INTO `sys_user_role` VALUES (1381848138076717057, 4, 114680250561986560, 114, 1);
INSERT INTO `sys_user_role` VALUES (1381848138085105666, 4, 114680250561986560, 130, 1);
INSERT INTO `sys_user_role` VALUES (1381848138093494273, 4, 114680250561986560, 131, 1);
INSERT INTO `sys_user_role` VALUES (1381848138110271489, 4, 114680250561986560, 132, 1);
INSERT INTO `sys_user_role` VALUES (1381848138118660098, 4, 114680250561986560, 133, 1);
INSERT INTO `sys_user_role` VALUES (1381848138135437314, 4, 114680250561986560, 134, 1);
INSERT INTO `sys_user_role` VALUES (1381848138152214530, 4, 114680250561986560, 135, 1);
INSERT INTO `sys_user_role` VALUES (1381848138168991745, 4, 114680250561986560, 136, 1);
INSERT INTO `sys_user_role` VALUES (1381848138181574657, 4, 114680250561986560, 137, 1);
INSERT INTO `sys_user_role` VALUES (1381848138189963266, 4, 114680250561986560, 138, 1);
INSERT INTO `sys_user_role` VALUES (1381848138215129090, 4, 114680250561986560, 139, 1);
INSERT INTO `sys_user_role` VALUES (1381848138231906305, 4, 114680250561986560, 140, 1);
INSERT INTO `sys_user_role` VALUES (1381848138248683521, 4, 114680250561986560, 141, 1);
INSERT INTO `sys_user_role` VALUES (1381848138265460738, 4, 114680250561986560, 142, 1);
INSERT INTO `sys_user_role` VALUES (1381848138278043649, 4, 114680250561986560, 143, 1);
INSERT INTO `sys_user_role` VALUES (1381848138307403778, 4, 114680250561986560, 144, 1);
INSERT INTO `sys_user_role` VALUES (1381848138315792385, 4, 114680250561986560, 145, 1);
INSERT INTO `sys_user_role` VALUES (1381848138336763906, 4, 114680250561986560, 146, 1);
INSERT INTO `sys_user_role` VALUES (1381848138353541122, 4, 114680250561986560, 147, 1);
INSERT INTO `sys_user_role` VALUES (1381848138366124034, 4, 114680250561986560, 148, 1);
INSERT INTO `sys_user_role` VALUES (1381848138382901250, 4, 114680250561986560, 150, 1);
INSERT INTO `sys_user_role` VALUES (1381848138399678465, 4, 114680250561986560, 152, 1);
INSERT INTO `sys_user_role` VALUES (1381848138416455682, 4, 114680250561986560, 153, 1);
INSERT INTO `sys_user_role` VALUES (1381848138424844290, 4, 114680250561986560, 14, 1);
INSERT INTO `sys_user_role` VALUES (1381848138433232898, 4, 114680250561986560, 15, 1);
INSERT INTO `sys_user_role` VALUES (1381848138441621506, 4, 114680250561986560, 16, 1);
INSERT INTO `sys_user_role` VALUES (1381848138458398721, 4, 114680250561986560, 37, 1);
INSERT INTO `sys_user_role` VALUES (1381848138475175938, 4, 114680250561986560, 129, 1);
INSERT INTO `sys_user_role` VALUES (1381848138483564546, 4, 114680250561986560, 149, 1);

-- ----------------------------
-- Table structure for t_b_session
-- ----------------------------
DROP TABLE IF EXISTS `t_b_session`;
CREATE TABLE `t_b_session`  (
  `id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `identity` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户标识',
  `type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户类型',
  `source` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '访问来源',
  `platform` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备分类',
  `device_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备标识',
  `address` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '登录IP地址',
  `access_token` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '访问令牌',
  `last_access_time` bigint(20) NULL DEFAULT NULL COMMENT '最近访问时间',
  `last_access_ip` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最近访问IP地址',
  `update_time` bigint(20) NULL DEFAULT NULL COMMENT '令牌更新时间',
  `expire_time` bigint(20) NULL DEFAULT NULL COMMENT '令牌强制失效时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '会话表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_b_task
-- ----------------------------
DROP TABLE IF EXISTS `t_b_task`;
CREATE TABLE `t_b_task`  (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务类型，USER_IMPORT：用户导入，\nQUESTION_MISSION_BATCH_CREATE：批量新建命题任务，\nSAMPLE_EXPORT：导出审核样本，\nPAPER_DOWNLOAD：卷库下载，\nEXAMINATION_IMPORT：考务数据导入，\nEXAMINATION_EXPORT：考务数据导出，\nPRINT_PDF_DOWNLOAD：批量下载pdf，\nCREATE_PDF：生成pdf',
  `entity_id` bigint(20) NULL DEFAULT NULL COMMENT '关联业务对象id',
  `status` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务状态，INIT：未开始，RUNNING：进行中，FINISH：已完成',
  `summary` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '实时摘要信息',
  `progress` double NULL DEFAULT NULL COMMENT '执行进度',
  `result` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据结果，SUCCESS：成功，ERROR：失败',
  `enable` tinyint(4) NOT NULL DEFAULT 1 COMMENT '是否启用，false：停用，true：启用',
  `import_file_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '导入文件名',
  `import_file_path` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '导入文件路径',
  `result_file_path` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '导出文件路径',
  `report_file_path` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '报告路径',
  `create_time` bigint(20) NULL DEFAULT NULL COMMENT '创建时间',
  `create_id` bigint(20) NULL DEFAULT NULL COMMENT '创建人id',
  `school_id` bigint(20) NULL DEFAULT NULL COMMENT '学校id',
  `org_id` bigint(20) NULL DEFAULT NULL COMMENT '机构id',
  `print_plan_id` bigint(20) NULL DEFAULT NULL COMMENT '印刷计划id',
  `remark` mediumtext COMMENT '备注',
  `obj_name` varchar(500) DEFAULT NULL COMMENT '实体名称',
  `reset_count` int DEFAULT '0' COMMENT '重试次数',
  `version` int DEFAULT '0' COMMENT '更新版本号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '导入导出任务表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_g_error
-- ----------------------------
DROP TABLE IF EXISTS `t_g_error`;
CREATE TABLE `t_g_error`  (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `obj_id` bigint(20) NULL DEFAULT NULL COMMENT '实体id',
  `summary` mediumtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '实时摘要信息',
  `create_time` bigint(20) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '全局异常错误信息表' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
